Upstream information

CVE-2019-15692 at MITRE

Description

TigerVNC version prior to 1.10.1 is vulnerable to heap buffer overflow. Vulnerability could be triggered from CopyRectDecoder due to incorrect value checks. Exploitation of this vulnerability could potentially result into remote code execution. This attack appear to be exploitable via network connectivity.

SUSE information

Overall state of this security issue: Running

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 6.5
Vector AV:N/AC:L/Au:S/C:P/I:P/A:P
Access Vector Network
Access Complexity Low
Authentication Single
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
CVSS v3 Scores
  National Vulnerability Database
Base Score 7.2
Vector CVSS:3.1/AV:N/AC:L/PR:H/UI:N/S:U/C:H/I:H/A:H
Access Vector Network
Access Complexity Low
Privileges Required High
User Interaction None
Scope Unchanged
Confidentiality Impact High
Integrity Impact High
Availability Impact High
CVSSv3 Version 3.1
SUSE Bugzilla entry: 1160250 [IN_PROGRESS]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
HPE Helion Openstack 8
  • libXvnc1 >= 1.6.0-18.28.1
  • tigervnc >= 1.6.0-18.28.1
  • xorg-x11-Xvnc >= 1.6.0-18.28.1
Patchnames:
HPE-Helion-OpenStack-8-2020-159
SUSE Enterprise Storage 5
  • libXvnc1 >= 1.6.0-18.28.1
  • tigervnc >= 1.6.0-18.28.1
  • xorg-x11-Xvnc >= 1.6.0-18.28.1
Patchnames:
SUSE-Storage-5-2020-159
SUSE Linux Enterprise Module for Basesystem 15 SP1
  • libXvnc1 >= 1.9.0-19.3.1
  • tigervnc >= 1.9.0-19.3.1
  • xorg-x11-Xvnc >= 1.9.0-19.3.1
  • xorg-x11-Xvnc-module >= 1.9.0-19.3.1
  • xorg-x11-Xvnc-novnc >= 1.9.0-19.3.1
Patchnames:
SUSE-SLE-Module-Basesystem-15-SP1-2020-113
SUSE Linux Enterprise Module for Basesystem 15
  • libXvnc1 >= 1.8.0-13.11.1
  • tigervnc >= 1.8.0-13.11.1
  • xorg-x11-Xvnc >= 1.8.0-13.11.1
  • xorg-x11-Xvnc-novnc >= 1.8.0-13.11.1
Patchnames:
SUSE-SLE-Module-Basesystem-15-2020-112
SUSE Linux Enterprise Module for Desktop Applications 15 SP1
  • libXvnc-devel >= 1.9.0-19.3.1
  • tigervnc >= 1.9.0-19.3.1
Patchnames:
SUSE-SLE-Module-Desktop-Applications-15-SP1-2020-113
SUSE Linux Enterprise Module for Desktop Applications 15
  • libXvnc-devel >= 1.8.0-13.11.1
  • tigervnc >= 1.8.0-13.11.1
Patchnames:
SUSE-SLE-Module-Desktop-Applications-15-2020-112
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15 SP1
  • tigervnc >= 1.9.0-19.3.1
  • tigervnc-x11vnc >= 1.9.0-19.3.1
  • xorg-x11-Xvnc-java >= 1.9.0-19.3.1
Patchnames:
SUSE-SLE-Module-Development-Tools-OBS-15-SP1-2020-113
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15
  • tigervnc >= 1.8.0-13.11.1
  • tigervnc-x11vnc >= 1.8.0-13.11.1
  • xorg-x11-Xvnc-java >= 1.8.0-13.11.1
Patchnames:
SUSE-SLE-Module-Development-Tools-OBS-15-2020-112
SUSE Linux Enterprise Point of Sale 12 SP2-CLIENT
  • libXvnc1 >= 1.6.0-18.28.1
  • tigervnc >= 1.6.0-18.28.1
  • xorg-x11-Xvnc >= 1.6.0-18.28.1
Patchnames:
SUSE-SLE-POS-12-SP2-CLIENT-2020-159
SUSE Linux Enterprise Server 12 SP1-LTSS
SUSE Linux Enterprise Server for SAP Applications 12 SP1-LTSS
  • tigervnc >= 1.4.3-25.11.1
  • xorg-x11-Xvnc >= 1.4.3-25.11.1
Patchnames:
SUSE-SLE-SERVER-12-SP1-2020-266
SUSE Linux Enterprise Server 12 SP2-BCL
SUSE Linux Enterprise Server for SAP Applications 12 SP2-BCL
  • libXvnc1 >= 1.6.0-18.28.1
  • tigervnc >= 1.6.0-18.28.1
  • xorg-x11-Xvnc >= 1.6.0-18.28.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-BCL-2020-159
SUSE Linux Enterprise Server 12 SP2-ESPOS
SUSE Linux Enterprise Server for SAP Applications 12 SP2-ESPOS
  • libXvnc1 >= 1.6.0-18.28.1
  • tigervnc >= 1.6.0-18.28.1
  • xorg-x11-Xvnc >= 1.6.0-18.28.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-ESPOS-2020-159
SUSE Linux Enterprise Server 12 SP2-LTSS
SUSE Linux Enterprise Server for SAP Applications 12 SP2-LTSS
  • libXvnc1 >= 1.6.0-18.28.1
  • tigervnc >= 1.6.0-18.28.1
  • xorg-x11-Xvnc >= 1.6.0-18.28.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-2020-159
SUSE Linux Enterprise Server 12 SP3-BCL
SUSE Linux Enterprise Server for SAP Applications 12 SP3-BCL
  • libXvnc1 >= 1.6.0-18.28.1
  • tigervnc >= 1.6.0-18.28.1
  • xorg-x11-Xvnc >= 1.6.0-18.28.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-BCL-2020-159
SUSE Linux Enterprise Server 12 SP3-ESPOS
SUSE Linux Enterprise Server for SAP Applications 12 SP3-ESPOS
  • libXvnc1 >= 1.6.0-18.28.1
  • tigervnc >= 1.6.0-18.28.1
  • xorg-x11-Xvnc >= 1.6.0-18.28.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-ESPOS-2020-159
SUSE Linux Enterprise Server 12 SP3-LTSS
SUSE Linux Enterprise Server for SAP Applications 12 SP3-LTSS
  • libXvnc1 >= 1.6.0-18.28.1
  • tigervnc >= 1.6.0-18.28.1
  • xorg-x11-Xvnc >= 1.6.0-18.28.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-2020-159
SUSE Linux Enterprise Server for SAP Applications 12 SP1
  • tigervnc >= 1.4.3-25.11.1
  • xorg-x11-Xvnc >= 1.4.3-25.11.1
Patchnames:
SUSE-SLE-SAP-12-SP1-2020-266
SUSE Linux Enterprise Server for SAP Applications 12 SP2
  • libXvnc1 >= 1.6.0-18.28.1
  • tigervnc >= 1.6.0-18.28.1
  • xorg-x11-Xvnc >= 1.6.0-18.28.1
Patchnames:
SUSE-SLE-SAP-12-SP2-2020-159
SUSE Linux Enterprise Server for SAP Applications 12 SP3
  • libXvnc1 >= 1.6.0-18.28.1
  • tigervnc >= 1.6.0-18.28.1
  • xorg-x11-Xvnc >= 1.6.0-18.28.1
Patchnames:
SUSE-SLE-SAP-12-SP3-2020-159
SUSE OpenStack Cloud 7
  • libXvnc1 >= 1.6.0-18.28.1
  • tigervnc >= 1.6.0-18.28.1
  • xorg-x11-Xvnc >= 1.6.0-18.28.1
Patchnames:
SUSE-OpenStack-Cloud-7-2020-159
SUSE OpenStack Cloud 8
  • libXvnc1 >= 1.6.0-18.28.1
  • tigervnc >= 1.6.0-18.28.1
  • xorg-x11-Xvnc >= 1.6.0-18.28.1
Patchnames:
SUSE-OpenStack-Cloud-8-2020-159
SUSE OpenStack Cloud Crowbar 8
  • libXvnc1 >= 1.6.0-18.28.1
  • tigervnc >= 1.6.0-18.28.1
  • xorg-x11-Xvnc >= 1.6.0-18.28.1
Patchnames:
SUSE-OpenStack-Cloud-Crowbar-8-2020-159
openSUSE Leap 15.1
  • libXvnc-devel >= 1.9.0-lp151.4.3.1
  • libXvnc1 >= 1.9.0-lp151.4.3.1
  • libXvnc1-debuginfo >= 1.9.0-lp151.4.3.1
  • tigervnc >= 1.9.0-lp151.4.3.1
  • tigervnc-debuginfo >= 1.9.0-lp151.4.3.1
  • tigervnc-debugsource >= 1.9.0-lp151.4.3.1
  • tigervnc-x11vnc >= 1.9.0-lp151.4.3.1
  • xorg-x11-Xvnc >= 1.9.0-lp151.4.3.1
  • xorg-x11-Xvnc-debuginfo >= 1.9.0-lp151.4.3.1
  • xorg-x11-Xvnc-java >= 1.9.0-lp151.4.3.1
  • xorg-x11-Xvnc-module >= 1.9.0-lp151.4.3.1
  • xorg-x11-Xvnc-module-debuginfo >= 1.9.0-lp151.4.3.1
  • xorg-x11-Xvnc-novnc >= 1.9.0-lp151.4.3.1
Patchnames:
openSUSE-2020-87


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 12 SP4 tigervnc Analysis
SUSE Linux Enterprise High Performance Computing 12 tigervnc In progress
SUSE Linux Enterprise Module for Basesystem 15 GA tigervnc Released
SUSE Linux Enterprise Module for Basesystem 15 SP1 tigervnc Released
SUSE Linux Enterprise Module for Desktop Applications 15 GA tigervnc Released
SUSE Linux Enterprise Module for Desktop Applications 15 SP1 tigervnc Released
SUSE Linux Enterprise Server 12 SP1 LTSS tigervnc Released
SUSE Linux Enterprise Server 12 SP2 LTSS tigervnc Released
SUSE Linux Enterprise Server 12 SP3 LTSS tigervnc Released
SUSE Linux Enterprise Server 12 SP4 tigervnc In progress
SUSE Linux Enterprise Server 12 SP5 tigervnc In progress
SUSE Linux Enterprise Server for SAP Applications 12 SP2 tigervnc Released
SUSE Linux Enterprise Server for SAP Applications 12 SP3 tigervnc Released
SUSE Linux Enterprise Server for SAP Applications 12 SP4 tigervnc In progress
SUSE Linux Enterprise Server for SAP Applications 12 SP5 tigervnc In progress